com.creamtec.ajaxswing.rendering.html.positioned

## Class AjaxResponse

- java.lang.Object
- - com.creamtec.ajaxswing.rendering.html.positioned.AjaxResponse

- All Implemented Interfaces:
    java.io.Serializable

      public class AjaxResponse
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxResponse()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDownloadFileURL(java.lang.String url)`
    `void` | `appendScript(java.lang.String javaScript)`
    `ComponentState[]` | `getActionableComponentStates()`
    `java.lang.String` | `getActiveWindowId()`
    `int` | `getClientHeigth()`
    `int` | `getClientWidth()`
    `java.util.List` | `getDownloadFileURLs()`
    `java.lang.String` | `getFocusedComponentId()`
    `java.lang.String` | `getRedirectURL()`
    `java.lang.String` | `getScript()`
    `int` | `getUpdateInterval()`
    `java.lang.String` | `getUrlForOpenInNewTab()`
    `boolean` | `isUpdate()`
    `void` | `setActionableComponentStates(ComponentState[] actionableComponentStates)`
    `void` | `setActiveWindowId(java.lang.String activeWindowId)`
    `void` | `setClientHeigth(int clientHeigth)`
    `void` | `setClientWidth(int clientWidth)`
    `void` | `setDownloadFileURLs(java.util.List downloadFileURLs)`
    `void` | `setFocusedComponentId(java.lang.String focusedComponentId)`
    `void` | `setRedirectURL(java.lang.String redirectUrl)`
    `void` | `setScript(java.lang.String script)`
    `void` | `setUpdate(boolean update)`
    `void` | `setUpdateInterval(int updateInterval)`
    `void` | `setUrlForOpenInNewTab(java.lang.String urlForOpenInNewTab)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxResponse

          public AjaxResponse()

  - ### Method Detail

    - #### appendScript

          public void appendScript(java.lang.String javaScript)

    - #### getActionableComponentStates

          public ComponentState[] getActionableComponentStates()

    - #### getActiveWindowId

          public java.lang.String getActiveWindowId()

    - #### getClientHeigth

          public int getClientHeigth()

    - #### getClientWidth

          public int getClientWidth()

    - #### getFocusedComponentId

          public java.lang.String getFocusedComponentId()

    - #### getRedirectURL

          public java.lang.String getRedirectURL()

    - #### getScript

          public java.lang.String getScript()

    - #### getUpdateInterval

          public int getUpdateInterval()

    - #### isUpdate

          public boolean isUpdate()

    - #### setActionableComponentStates

          public void setActionableComponentStates(ComponentState[] actionableComponentStates)

    - #### setActiveWindowId

          public void setActiveWindowId(java.lang.String activeWindowId)

    - #### setClientHeigth

          public void setClientHeigth(int clientHeigth)

    - #### setClientWidth

          public void setClientWidth(int clientWidth)

    - #### setFocusedComponentId

          public void setFocusedComponentId(java.lang.String focusedComponentId)

    - #### setRedirectURL

          public void setRedirectURL(java.lang.String redirectUrl)

    - #### setScript

          public void setScript(java.lang.String script)

    - #### setUpdate

          public void setUpdate(boolean update)

    - #### setUpdateInterval

          public void setUpdateInterval(int updateInterval)

    - #### getDownloadFileURLs

          public java.util.List getDownloadFileURLs()

    - #### setDownloadFileURLs

          public void setDownloadFileURLs(java.util.List downloadFileURLs)

    - #### addDownloadFileURL

          public void addDownloadFileURL(java.lang.String url)

    - #### getUrlForOpenInNewTab

          public java.lang.String getUrlForOpenInNewTab()

    - #### setUrlForOpenInNewTab

          public void setUrlForOpenInNewTab(java.lang.String urlForOpenInNewTab)

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.